:root {
	--hero-height: 400px;
	--body-color: #1d1d1f;
}

i.icon {
	display: block;
	filter: invert(83%) sepia(35%) saturate(951%) hue-rotate(153deg) brightness(92%) contrast(99%);
	background-size: 16px;
	width: 18px;
	height: 18px;
	background-repeat: no-repeat;
	background-position: center;
	margin: auto;
}

i.prev.icon { background-image: url(/images/icons/prev.svg); }
i.play.icon { background-image: url(/images/icons/play.svg); }
i.pause.icon { background-image: url(/images/icons/pause.svg); }
i.next.icon { background-image: url(/images/icons/next.svg); }
i.like.icon { background-image: url(/images/icons/like.svg); }
i.dislike.icon { background-image: url(/images/icons/dislike.svg); }
i.comment.icon { background-image: url(/images/icons/comment.svg); }

html {
}
body {
	font-family: 'Roboto', sans-serif;
	margin: 0;
	height: 100%;
	background-color: var(--body-color);
	background-image: linear-gradient(#252529 1px, transparent 1px), linear-gradient(to right, #252529 1px, var(--body-color) 1px);
	background-size: 20px 20px;
	color: #808080;
}

a {
	text-decoration: none;
	color: #4e7fa7;
}
a:hover {
	text-decoration: underline;
}

.star {
	position: absolute;
	top: 234px;
	right: 0px;
	width: 260px;
	height: 450px;
	background-image: url(/images/textures/stars.png);
	background-repeat: no-repeat;
	filter: invert(1) drop-shadow(12px 12px 2px black) opacity(0.2);
	z-index: 999999;
	/* transform: translate3d(230px, 160px, 10px); */
	overflow: hidden;
	z-index: 0;
}

.page-wrapper {
	margin: 60px auto;
	padding: 9px;
	max-width: 1200px;
	box-shadow: 0 0 10px 3px #2a445b;
	border: 1px solid #101a23;
	border-top-left-radius: 250px;
	border-top-right-radius: 250px;

	background-image:
		linear-gradient(45deg, #48484d 25%, transparent 25%),
		linear-gradient(-45deg, #48484d 25%, transparent 25%),
		linear-gradient(45deg, transparent 75%, #48484d 75%),
		linear-gradient(-45deg, transparent 75%, #48484d 75%);
	background-size: 8px 8px; /* Must be a square */
	background-position: 0 0, 0 4px, 4px -4px, -4px 0px; /* Adjust positions */
}

.page-container {
	box-shadow: 0 0 1px 1px #0e0e0e;
	border: 1px solid #2a2a2a;
	border-top-left-radius: 250px;
	border-top-right-radius: 250px;
}

.content-container {
    padding: 10px;
    background: linear-gradient(0deg, #191919 80%, black 100%);
    border-top: none;
}

.content-body {
	background-image: radial-gradient(circle at center, #ffffff08 1px, transparent 0);
	background-size: 10px 10px;
	grid-area: stack;
}

.hero {
	display: grid;
	height: var(--hero-height);
	grid-template-areas: "stack";
	border-bottom: none;
	background: #4600ff;
	background-clip: padding-box, border-box;
	background-origin: padding-box, border-box;
	border-top-left-radius: 250px;
	border-top-right-radius: 250px;
}

.points {
	grid-area: stack;
	height: var(--hero-height);
	background-image: url(/images/textures/point-line.webp);
	border-top-left-radius: 250px;
	border-top-right-radius: 250px;
	background-repeat: repeat-x;
	opacity: 0.03;
	filter: invert(1);
}

.admin {
    grid-area: stack;
    margin-left: auto;
    margin-top: auto;
    color: #afafaf;
    letter-spacing: 1px;
    text-shadow: 0px 0px 2px #00ffa6;
    height: 50px;
    font-size: 13px;
    padding-right: 10px;
}

.scanlines {
    grid-area: stack;
    background: linear-gradient(to bottom, transparent 50%, #0000000f 51%);
    background-size: 100% 4px;
    height: 402px;
    width: 1200px;
    position: absolute;
    user-select: none;
    pointer-events: none;
    border-top-left-radius: 250px;
	border-top-right-radius: 250px;
}

.hero-sky-background {
	grid-area: stack;
	background: url(/images/textures/sky.webp);
	height: var(--hero-height);
	animation: sky 400s linear infinite;
	border-top-left-radius: 250px;
	border-top-right-radius: 250px;
}

.hero-gradient-background {
	grid-area: stack;
	background: radial-gradient(transparent, #000000);
	height: var(--hero-height);
	border-top-left-radius: 250px;
	border-top-right-radius: 250px;
}

.hero-header {
	grid-area: stack;
	margin-left: 110px;
	margin-top: 50px;
	font-size: 130px;
	color: #ffffff00;
	text-shadow: 2px 2px #0000005c;
	background-image: url(/images/textures/sky.webp);
	background-clip: text;
	filter: drop-shadow(2px 4px 3px black) contrast(1.2);
}

.hero-image {
	grid-area: stack;
	height: 430px;
	width: 543px;
	background-image: url(/images/profile/hero.webp);
	background-repeat: no-repeat;
	background-position-x: 10px;
	filter: drop-shadow(2px 6px 3px #00000090);
	cursor: pointer;
}

.hero-image:hover {
	filter: drop-shadow(0px 0px 3px red) brightness(1.15);
}

.hero-image:active {
	scale: 98%;
}

@keyframes sky {
	from: {
		background-position-x: 0;
	}
	to {
		background-position-x: 1024px;
	}
}

section.section {
	display: grid;
	grid-template-areas: "section-area";
	min-height: 400px;
}

section.section:not(:first-child) {
	margin-top: 3px;
}
section.section .section-content {
	padding: 10px;
}

section.section > * {
	grid-area: section-area;
}

.content-container > .content {
	color: #333;
	background: url(/images/textures/grain.webp);
	background-color: #ebebeb;
	background-repeat: repeat;
}

.yandex-music-box {
	grid-area: stack;
}

.yandex-music-box .yandex-music-box-content {
	height: 100%;
	display: flex;
	align-items: center;
}

.yandex-music-box {
	min-width: 482px;
	max-width: 482px;
	height: fit-content;
	box-sizing: border-box;
	padding: 15px;
	position: relative;
	overflow: hidden;
	margin-bottom: 20px;
}

.yandex-music-box .yandex-music-box-content {
	width: 452px;
	position: relative;
	background-color: #ffffff0a;
	color: #898989;
	flex-direction: column;
	box-sizing: border-box;
	padding: 20px;
	font-family: sans-serif;
	z-index: 2;
	border: 3px solid transparent;
	filter: drop-shadow(2px 4px 6px black);
}

.yandex-music-box .yandex-music-box-content {
	box-shadow: 0 0 2px black,
	0 0 5px rgba(0, 0, 0, 1),
	inset 0 0 5px rgba(0, 0, 0, 1);
	border-radius: 10px;
}

.ym-header img {
	height: 20px;
	filter: drop-shadow(1px 1px 1px black);
}

.yandex-music-box-content img {
	border: 3px solid #1e1e1e;
	box-shadow: 0 0 1px 1px #090909;
	border-radius: 3px;
}

.ym-subheader {
	font-size: 11px;
	padding: 4px 0;
}

.yandex-music-track img {
	border-radius: 10px;
}

.yandex-track img {
	border: 1px solid #2b2b2b;
	border-radius: 40px;
	width: 50px;
	height: 50px;
}

.ym-header img {
	border-radius: 10px;
	padding: 2px 10px;
}

.track-wrapper {
	display: grid;
	grid-template-areas: "track-wrapper";
}

.track-wrapper img {
	width: 400px;
	height: 400px;
	object-fit: none;
	background: white;
}

.track-wrapper > * {
	grid-area: track-wrapper;
}

.track-wrapper > .track-name {
	color: white;
	font-size: 18px;
	background: #00000094;
	border-radius: 6px;
	border: 1px solid #ffffff1a;
	box-shadow: 2px 2px 2px 0px #00000075;
	backdrop-filter: blur(1px);
	padding: 5px;
	margin: auto;
	margin-bottom: 20px;
	width: 90%;
	text-align: center;
	line-height: 18px;
}

.track-wrapper > .track-name > * {
	color: #cacaca;
	display: block;
	margin: 4px 0;
}

.track-wrapper > .track-name > a {
	font-weight: bold;
}

.yandex-recent-track {
	margin-bottom: 10px;
	width: 406px;
}

.yandex-track {
	display: flex;
	align-items: anchor-center;
	gap: 20px;
	margin-bottom: 6px;
}

.track-name {
	font-size: 13px;
}

@keyframes animate {
	from {
		background-position: 0;
	}

	to {
		background-position: 0 450px;
	}
}

.top-flexbox {
	display: flex;
	gap: 20px;
	margin-bottom: 20px;
}

#audio-section-border {
	flex-grow: 1;
	background: black;
	padding: 10px;
}

#audio-section-inner-border {
	border-top-right-radius: 250px;
	height: 100%;
	background-image: url(/images/backgrounds/audio-background.webp);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	background-position-y: top;
}

section.audio-section {
	display: flex;
	flex-direction: column;
	height: 100%;
	border-top-right-radius: 250px;
	outline: 1px solid black;
	box-shadow: inset 2px 3px 15px 4px black;
	background: radial-gradient(transparent 10%, black 80%);
}

.flexbox {
    display: flex;
    gap: 20px;
}

.personal-information {
	color: #993333;
	font-size: 13px;
	margin-top: 15px;
	flex-grow: 1;
}

table.info {
    border-spacing: 0;
}

table.info td:first-child {
    min-width: 200px;
    vertical-align: top;
    padding-left: 0;
}

table.info td:last-child {
	color: #898989;
}

.personal-information section {
    border: 1px solid #993333;
    padding: 3px;
    box-shadow: inset 0 0 2px 1px #993333;
    margin-bottom: 10px;
}

.personal-information section .header {
    background: linear-gradient(180deg, #993333, #511818);
    color: white;
    font-style: italic;
    padding: 1px 4px 3px 4px;
    text-shadow: 2px 2px 1px black;
    font-size: 14px;
}

.personal-information section .content {
    padding: 4px 10px;
}



section#poem-list {
    background-image: url('/images/textures/white-paper.webp');
    padding: 10px;
    border-radius: 10px;
    color: black;
}

.poem-container {
    padding: 10px;
    border: 3px solid black;
}

.poem-list-header {
    font-size: 60px;
    font-weight: bold;
    border-bottom: 2px solid black;
    margin-top: -10px;
    color: black;
    display: block;
}

.poem-list-subheader {
    font-size: 16px;
    padding: 4px;
    border-bottom: 12px solid black;
    margin-bottom: 10px;
}

.poem-list-content .item {
	display: flex;
	gap: 6px;
	padding: 4px;
	font-size: 13px;
}

.poem-list-content .item:not(:last-child) {
	border-bottom: 2px solid black;
}

.poem-list-content .item img {
	width: 13px;
	height: 16px;
}

.poem-list-content .item .item-title {
	flex-grow: 1;
	color: black;
	font-weight: bold;
}

.poem-list-content .item .item-meta {
	color: grey;
	font-style: italic;
	font-size: 11px;
}

/* Button */

.button {
	display: flex;
	gap: 8px;
    width: fit-content;
    box-shadow: 0 2px 4px 0px black;
    margin: 6px 6px 6px 0;
    color: #75c1ff;
    font-size: 15px;
    text-shadow: 2px 2px 2px black;
    padding: 4px 20px;
    border-radius: 6px;
    border: 1px solid #003b6c;
    background-image: linear-gradient(180deg, #1081de, #04243f);
    cursor: pointer;
}

a.button {
	text-decoration: none;
	font-weight: normal;
}

.button:active {
	scale: 95%;
}

.button:hover {
	filter: drop-shadow(0 0 4px #1081de);
}

/* Green button */

.green.button {
    color: #84ff75;
    border: 1px solid #006c13;
    background-image: linear-gradient(180deg, #39de10, #043f14);
}

.green.button:hover {
	filter: drop-shadow(0 0 4px #39de10);
}

.green.button i {
	filter: invert(78%) sepia(65%) saturate(382%) hue-rotate(56deg) brightness(100%) contrast(103%);
}

/* Red button */

.red.button {
    color: #ff7575;
    border: 1px solid #6c0000;
    background-image: linear-gradient(180deg, #de1010, #3f0404);
}

.red.button:hover {
	filter: drop-shadow(0 0 4px #de1010);
}

.red.button i {
	filter: invert(60%) sepia(55%) saturate(742%) hue-rotate(312deg) brightness(97%) contrast(110%);
}

/* Purple */

.purple.button {
    color: #e875ff;
    border: 1px solid #66006c;
    background-image: linear-gradient(180deg, #de10d9, #3f042d);
}

.purple.button:hover {
	filter: drop-shadow(0 0 4px #de10d9);
}


/* Breadcrumbs */

.caption {
    margin: 50px -10px 20px -10px;
    background: linear-gradient(0deg, #0a1a1c, #112c2f);
    border: 1px solid #030808;
    border-right: none;
    border-left: none;
    color: #808080;
    font-size: 15px;
    padding: 2px;
}

.caption ul.breadcrumbs {
    display: flex;
    gap: 4px;
    padding: 3px 11px;
    margin: 0;
}

.caption ul.breadcrumbs > li {
	list-style-type: none;
	font-weight: bold;
}

.caption ul.breadcrumbs > li:not(:first-child):before {
	content: "»";
	color: white;
}

.caption ul.breadcrumbs > li:last-child a {
	text-decoration: none;
	color: inherit;
	font-weight: normal;
}

.caption ul.breadcrumbs > li a {
	/*color: #69604a;*/
}

/* Panel */

.panel {
    box-shadow: 0 0 2px black,
		0 0 5px rgba(0, 0, 0, 1),
		inset 0 0 5px rgba(0, 0, 0, 1);
    border-radius: 10px;
    border: 3px solid transparent;
    padding: 20px;
    background-color: #ffffff0a;
}

.panel i.icon {
	filter: invert(64%) sepia(25%) saturate(444%) hue-rotate(139deg) brightness(88%) contrast(86%);
}

.panel .panel-header {
    display: flex;
    color: #6c9da4;
    font-size: 16px;
    font-weight: bold;
    text-shadow: 1px 1px 2px black;
    margin-bottom: 10px;
    padding-bottom: 10px;
    border-bottom: 1px solid;
    width: fit-content;
    border-image: linear-gradient(90deg, transparent, #6c9da4, transparent) 1;
}

.panel .panel-divider {
	background-image: linear-gradient(45deg, #6c9da4 25%, transparent 25%),
		linear-gradient(-45deg, #6c9da4 25%, transparent 25%),
		linear-gradient(45deg, transparent 75%, #6c9da4 75%),
		linear-gradient(-45deg, transparent 75%, #6c9da4 75%);
	background-size: 10px 10px;
	background-position: 0 0, 0 5px, 5px -5px, -5px 0px;
	width: 100%;
	height: 20px;
	margin-bottom: 10px;
	border: 1px solid #6c9da4;
}

.panel .panel-subheader {
	color: #6c9da4;
    font-size: 13px;
    margin-bottom: 10px;
}

.panel .panel-header i {
	margin: 0;
	padding-right: 6px;
}

/* Input */

textarea,
input[type="text"] {
	font-family: 'Roboto Condensed';
	background: #323232;
    border: 1px solid #444444;
    box-shadow: 0 0 0 1px #191919;
    width: 100%;
    outline: none;
    color: white;
    font-size: 13px;
    padding: 4px;
}

/* Comments */

.message-list .message-container {
	margin-bottom: 20px;
	margin-left: 20px;
}

.message-list .message-header {
    border-top: 1px solid #333333;
    border-bottom: 1px solid #333333;
    border-image: linear-gradient(90deg, #333333, transparent 20%) 1;
    background: linear-gradient(90deg, #141414, transparent 20%);
    color: #a6977c;
    font-size: 13px;
    padding: 3px 6px;
}

.message-list .message-header > .name > b {
	color: #a6977c;
}

.message-list .message-header > .admin.name > b {
	color: #b93333;
}

.message-list .message-header > .date {
	font-size: 11px;
	color: #615849;
}

.message-list .message {
	font-size: 13px;
	padding: 10px;
	white-space: break-spaces;
}

.message-list .controls {
	display: flex;
	gap: 10px;
	border-bottom: 1px solid #333333;
	border-image: linear-gradient(90deg, #333333, transparent 20%) 1;
	font-size: 11px;
}

.message-list .controls .control {
	padding-bottom: 2px;
    padding-left: 10px;
}

.message-list .controls .control:not(:last-child):after {
    content: "|";
    position: absolute;
    color: #dae2e8;
    margin-left: 9px;
}